Bug 1471240 - timed out wainting for device dev-mapper-luks\[funny\letters].device
timed out wainting for device dev-mapper-luks\[funny\letters].device
Status: NEW
Product: Fedora
Classification: Fedora
Component: luks-tools (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-14 15:16 EDT by Łukasz Posadowski
Modified: 2017-08-15 05:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Łukasz Posadowski 2017-07-14 15:16:42 EDT
Description of problem:
I'm unable to mount encrypted /home partition at boot time.

Version-Release number of selected component (if applicable):
Fedora Rawhide with lastest updates on 14th July 2017.

How reproducible:
Always, at boot time.

Steps to Reproduce:
1. Boot a PC with encrypted partitions
2. wait for luks password prompt
3. be able to boot only in emergency mode

Actual results:
I can login as root and mount partition manually:
# cryptsetup luksOpen /dev/sda5/ crypthome
# mount /dev/mapper/crypthome /mnt/somedir

All the data is here, but for some reason it can't mount as a /home at boot time.

I read some journalctl and it mentions those errors:
Timed out wainting for device dev-mapper-luks\[funny\letters].device
deendency failed for File System Check on /dev/mapper/luks-[funny-letters]
home.mount: Job home.mount/start failed with result 'dependency'

I have very little experience with encryption, so I don't know where to look next. I'll be thankful for some guides.

Comment 1 Couret Charles-Antoine 2017-07-16 16:26:06 EDT
I have exactly the same issue with my Fedora Rawhide after a update the 14th July...
Comment 2 Couret Charles-Antoine 2017-07-21 11:01:24 EDT
Issue is goe after another set of update (kernel + systemd)
Comment 3 Łukasz Posadowski 2017-07-21 16:04:26 EDT
(In reply to Couret Charles-Antoine from comment #2)
> Issue is goe after another set of update (kernel + systemd)

Those sneaky kernels. :) Thanks for the info. Thanks for the patches and updates, too.
Comment 4 Jan Kurik 2017-08-15 05:16:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.